Debian Bug report logs - #587416
xferlog.5 wrongly claims installation directory /usr/adm

version graph

Package: wu-ftpd; Maintainer for wu-ftpd is Chris Butler <chrisb@debian.org>;

Reported by: Stephan Springl <springl-debian-wu-ftpd@bfw-online.de>

Date: Mon, 28 Jun 2010 13:18:01 UTC

Severity: minor

Found in version wu-ftpd/2.6.2-32

Fixed in version 2.6.2-35+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Chris Butler <chrisb@debian.org>:
Bug#587416; Package wu-ftpd. (Mon, 28 Jun 2010 13:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephan Springl <springl-debian-wu-ftpd@bfw-online.de>:
New Bug report received and forwarded. Copy sent to Chris Butler <chrisb@debian.org>. (Mon, 28 Jun 2010 13:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephan Springl <springl-debian-wu-ftpd@bfw-online.de>
To: submit@bugs.debian.org
Subject: xferlog.5 wrongly claims installation directory /usr/adm
Date: Mon, 28 Jun 2010 14:38:37 +0200 (MSZ)
Package: wu-ftpd
Version: 2.6.2-32
Severity: minor
Tags: squeeze sid

Hi,

Debian log files are under /var/log, so the documentation should
probably be changed.

Regards,
Stephan


diff --git a/doc/xferlog.5 b/doc/xferlog.5
index bfa3fda..08b800d 100644
--- a/doc/xferlog.5
+++ b/doc/xferlog.5
@@ -26,7 +26,7 @@ The
  .B xferlog
  file contains logging information from the FTP server daemon,
  .BR ftpd (8).
-This file usually is found in /usr/adm, but can be located anywhere by using a
+This file usually is found in /var/log/wu-ftpd, but can be located anywhere by using a
  option to
  .BR ftpd (8).
  Each server entry is composed of a single line of the following form, 
@@ -169,7 +169,7 @@ incomplete transfer
  .SH FILES
  .PD 0
  .TP 20
-.B /usr/adm/xferlog
+.B /var/log/wu-ftpd/xferlog
  .SH "SEE ALSO"
  .BR ftpd(8),
  .BR ftpaccess(5)

-- Package-specific info:
-- inetd packages installed

Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name           Version        Description
+++-==============-==============-============================================
un  inetutils-inet <none>         (no description available)
un  netkit-inetd   <none>         (no description available)
ii  openbsd-inetd  0.20080125-4   The OpenBSD Internet Superserver
ii  update-inetd   4.36           inetd configuration file updater

-- System Information:
Debian Release: squeeze/sid
   APT prefers testing
   APT policy: (500, 'testing')
Architecture: i386 (x86_64)

Versions of packages wu-ftpd depends on:
ii  debconf [debconf-2.0]      1.5.32        Debian configuration management sy
ii  debianutils                3.2.3         Miscellaneous utilities specific t
ii  libc6                      2.11.1-3bfw1  Embedded GNU C Library: Shared lib
ii  libpam0g                   1.1.1-3       Pluggable Authentication Modules l
ii  perl [perl5]               5.10.1-13bfw1 Larry Wall's Practical Extraction 
ii  update-inetd               4.36          inetd configuration file updater

wu-ftpd recommends no packages.

Versions of packages wu-ftpd suggests:
ii  logrotate                     3.7.8-6    Log rotation utility

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#587416; Package wu-ftpd. (Mon, 28 Jun 2010 14:54:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chris Butler <chrisb@debian.org>:
Extra info received and forwarded to list. (Mon, 28 Jun 2010 14:54:14 GMT) Full text and rfc822 format available.

Message #10 received at 587416@bugs.debian.org (full text, mbox):

From: Chris Butler <chrisb@debian.org>
To: Stephan Springl <springl-debian-wu-ftpd@bfw-online.de>, 587416@bugs.debian.org
Subject: Re: Bug#587416: xferlog.5 wrongly claims installation directory /usr/adm
Date: Mon, 28 Jun 2010 15:53:01 +0100
tags 587416 +pending
thanks

On Mon, Jun 28, 2010 at 02:38:37PM +0200, Stephan Springl wrote:
> Debian log files are under /var/log, so the documentation should
> probably be changed.

Thank you for your report, and patch. I've applied the fix in my packaging
repository, so it will be included in the next upload of the package.

-- 
Chris Butler <chrisb@debian.org>
  GnuPG Key ID: 4096R/49E3ACD3




Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:19 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Thu, 10 May 2012 18:18:08 GMT) Full text and rfc822 format available.

Notification sent to Stephan Springl <springl-debian-wu-ftpd@bfw-online.de>:
Bug acknowledged by developer. (Thu, 10 May 2012 18:18:08 GMT) Full text and rfc822 format available.

Message #17 received at 587416-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 282433-done@bugs.debian.org,329113-done@bugs.debian.org,587416-done@bugs.debian.org,594160-done@bugs.debian.org,594314-done@bugs.debian.org,641338-done@bugs.debian.org,658093-done@bugs.debian.org,
Cc: wu-ftpd@packages.debian.org, wu-ftpd@packages.qa.debian.org
Subject: Bug#595500: Removed package(s) from unstable
Date: Thu, 10 May 2012 18:15:19 +0000
Version: 2.6.2-35+rm

Dear submitter,

as the package wu-ftpd has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/595500

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:44:17 GMT) Full text and rfc822 format available.

Removed tag(s) sid, squeeze, wheezy, and jessie. Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Fri, 01 Nov 2013 22:31:47 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Nov 2013 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 14:18:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.